## Bsoft program

# bbif

### Usage: bbif [options] input.img output.img

Denoises by bilateral filtering.

### Actions:

-rescale -0.1,5.2 | Rescale data to average and standard deviation after filtering.
-kernel gaussian | Kernel used for for the intensity space:
| 1=gaussian (default)
| 2=lorentz
| 3=tukey
-size 5 | kernel size (odd number, default 6*spacesigma)
-spacesigma 1.5 | Standard deviation of spatial filter (pixels, default 1).
-rangesigma 23.8 | Standard deviation of range filter (default image standard deviation).

### Parameters:

-verbose 1 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; default from input file; a single value can be given).

Bsoft version 2.0.3-20180917 (64 bit)